/*******************************************************************************
  TPI - flexible but useless plug-in framework.
  Copyright (C) 2002-2009 Silky

  This library is free software; you can redistribute it and/or modify it under
  the terms of the GNU Lesser General Public License as published by the Free
  Software Foundation; either version 2.1 of the License, or (at your option)
  any later version.

  This library is distributed in the hope that it will be useful, but WITHOUT
  ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or 
  FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License
  for more details.

  You should have received a copy of the GNU Lesser General Public License along
  with this library; if not, write to the Free Software Foundation, Inc.,
  51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA

  $Id: cls_listctrl.h,v 1.3 2009/08/20 11:51:49 sirakaba Exp $
*******************************************************************************/

#ifndef H_LOADED_CLS_LC
#define H_LOADED_CLS_LC

class myListCtrl: public wxListCtrl
{
public:
	virtual wxString OnGetItemText(long, long) const;
	virtual int OnGetItemImage(long) const;
	void OnColClick(wxListEvent&);

	ArrayTPI_FILEINFO showFileInfo;

	myListCtrl(): wxListCtrl(){}
	myListCtrl(wxWindow * parent, wxWindowID id, const wxPoint & pos = wxDefaultPosition, const wxSize & size = wxDefaultSize, long style = wxLC_ICON, const wxValidator & validator = wxDefaultValidator, const wxString & name = wxListCtrlNameStr): wxListCtrl(parent, id, pos, size, style, validator, name){}

	DECLARE_DYNAMIC_CLASS(myListCtrl)
    DECLARE_EVENT_TABLE()
};

int ListCtrlCompareProc(TPI_FILEINFO **, TPI_FILEINFO **);
extern wxImageList g_hIconLL, g_hIconLS;
extern int g_nSortingColumn;

#endif
